# Forward

The ruby client for [https://forwardhq.com/](https://forwardhq.com/). Forward gives you a sharable URL for localhost websites/webapps.

## Usage


    # login/logout/switch accounts
    forward login
    forward accounts
    forward logout 50east*
    forward default 50east*

    forward account:login
    forward account:logout
    forward account:default

    # use default account
    forward .
    forward ~/Dev/static/blah
    forward 3000
    forward foo.dev
    forward blah.local

    # use specific account/subdomain
    forward . -s tarface
    forward 3000 -s 50east


    > forward <port> [options]
    > forward <host> [options]
    > forward <host:port> [options]
    > forward <path> [options]

    Description:

       Share a server running on localhost:port over the web by tunneling
       through Forward. A URL is created for each tunnel.

    Simple example:

      # You are developing a Rails site.

      > rails server &
      > forward 3000
        Forward created at https://mycompany.fwd.wf

    Assigning a static subdomain prefix:

      > rails server &
      > forward 3000 myapp
        Forward created at https://myapp-mycompany.fwd.wf

    Virtual Host example:

      # You are already running something on port 80 that uses
      # virtual host names.

      > forward mysite.dev
        Forward created at https://mycompany.fwd.wf