require 'test_helper'

describe Forward::Command::Account do
  before :each do
    FakeFS.activate!
    FileUtils.mkdir_p(ENV['HOME'])
  end

  after :each do
    FileUtils.rm_rf(ENV['HOME'])
    FakeFS.deactivate!
  end

  it "logs a client in with a provided email" do
    email    = 'foo@example.com'
    password = 'bar'
    command  = Forward::Command::Account.new({}, [email])

    Forward::API::User.expects(:authenticate).with(email, password)
    command.expects(:ask_for_credentials).with(email).returns([email, password])

    EM.run_block {
      command.login
    }
  end
end
