$LOAD_PATH.unshift(File.expand_path('../', __FILE__))

require 'rubygems'
require 'fileutils'
require 'yaml'
require 'bundler'
Bundler.setup

require 'forward'
require 'minitest/autorun'
require 'minitest/pride'
require 'mocha/mini_test'
require 'webmock/minitest'
require 'fakefs/safe'

ENV['FORWARD_API_HOST'] = 'http://localhost'

Forward.logger = Logger.new('/dev/null')

WebMock.disable_net_connect!

module Kernel
  def dev_null(&block)
    begin
      orig_stdout = $stdout.dup
      $stdout.reopen('/dev/null', 'w')
      yield
    ensure
      $stdout.reopen(orig_stdout)
    end
  end

  def hash_to_forwardfile(hash)
    yaml = YAML.dump(hash)
    File.open('Forwardfile', 'w') { |f| f.write(yaml) }
  end

  def suppress_warnings(&block)
    original_verbosity = $VERBOSE
    $VERBOSE           = nil
    result             = yield
    $VERBOSE           = original_verbosity

    return result
  end

  def stop_reactor
    EM.stop if EM.reactor_running?
  end
end
